/*===== GOOGLE FONTS =====*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
@import url(//db.onlinewebfonts.com/c/b9f4fba805372d012dc98a3bca4d5237?family=SF+UI+Display);
/*===== VARIABLES CSS =====*/
:root{
  --header-height: 3rem;
  --font-semi: 600;
}

/*===== Colores =====*/
:root{
  --first-color: #4070F4;
}

/*===== Fuente y tipografia =====*/
:root{
  --body-font: 'SF UI Display';
  --big-font-size: 2rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
}
@media screen and (min-width: 768px){
  :root{
    --big-font-size: 3.5rem;
    --h2-font-size: 2rem;
    --normal-font-size: 1rem;
  }
}

/*===== Margenes =====*/
:root{
  --mb-1: 0.5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
}

/*===== z index =====*/
:root{
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*==== DARKMODE ====*/
html{
  background: var(--backg);
  --btn: #2ab1ce;
  --backg: #fff;
  --colorx: #1D2731;
  scroll-behavior: smooth;
}

.container{
  margin-left: 87%;
  margin-top: 8%;
  position: absolute;
  margin-right: 13%;

}
html[data-theme='dartheme']{
  background: var(--backg);
  --btn: #ea4b3c;
  --backg: #1D2731;
  --colorx: #fff;
}

h1, p{
  color: var(--colorx);
}

input[type=checkbox]{
  visibility: hidden;
  height: 0;
  width: 0;
}

html.transition,
html.transition *,
html.transition *:before,
html.transition *:after, {
  transition: ease-in-out 200ms !important;
  transition-delay: 0 !important;
}

/*===== BASE =====*/
*,::before,::after{
  box-sizing: border-box;
}


body{
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--colorx);
}
h1,h2,p{
  margin: 0;
}
ul{
  margin: 0;
  padding: 0;
  list-style: none;
}
a{
  text-decoration: none;
}
img{
  max-width: 100%;
  height: auto;
  display: block;
}

/*===== CLASS CSS ===== */
.section-title{
  position: relative;
  font-size: var(--h2-font-size);
  color: var(--first-color);
  margin-top: var(--mb-2);
  margin-bottom: var(--mb-4);
  text-align: center;
}
.section-title::after{
  position: absolute;
  content: "";
  width: 64px;
  height: 0.18rem;
  left: 0;
  right: 0;
  margin: auto;
  top: 2rem;
  background-color: var(--first-color);
}
.section{
  padding-top: 3rem;
  padding-bottom: 2rem;
}

/*===== LAYOUT =====*/


.bd-grid{
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}
.l-header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--colorx);

  box-shadow: 0 1px 4px rgba(146,161,176,.15);
}

/*===== NAV =====*/
.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: var(--font-semi);
}
.nav a, .nav li{
  color: var(--backg);
}
@media screen and (max-width: 768px){
  .nav__menu{
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 37%;
    height: 100%;
    padding: 2rem;
    background-color: var(--colorx);
    transition: .7s;


  }
  .hobbies__img{
    display: none;
  }
  .hobbies{
    margin-left: 10%;
  }
  .hobbies__text{
    margin-left: 7%;
  }
  .contact__desc{
    margin-left: 10px;
  }
}
.nav__item{
  margin-bottom: var(--mb-4);
}
.nav__link{
  position: relative;
  color: var(--backg);
}
.nav__link:hover{
  position: relative;
}
.nav__link:hover::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.nav__logo{
  color: var(--colorx);
}
.nav__toggle{
  color: var(--backg);
  font-size: 1.5rem;
  cursor: pointer;
}

/*Active menu*/
.active::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}

/*=== Show menu ===*/
.show{
  right: 0;
}

/*===== HOME =====*/
.home{
  height: calc(100vh - 3rem);
  row-gap: 1rem;
}

.home__data{
  align-self: center;
}
.home__title{
  font-size: var(--big-font-size);
  margin-bottom: var(--mb-5);
}
.home__title-color{
  color: var(--first-color);
}
.home__social{
  display: flex;
  flex-direction: column;
}
.home__social-icon{
  width: max-content;
  margin-bottom: 0;
  font-size: 1.5rem;
  color: var(--colorx);
}
.home__social-icon:hover{
  color: var(--first-color);
}
.home__img{
  position: absolute;
  right: 0;
  bottom: 0;
  width: 250px;
}

/*BUTTONS*/
.button{
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: .75rem 2.5rem;
  font-weight: var(--font-semi);
  border-radius: .5rem;
}
.button:hover{
  box-shadow: 0 10px 36px rgba(0,0,0,.15);
}

/* ===== ABOUT =====*/
.about__container{
  row-gap: 2rem;
  text-align: center;
}
.about__text{
  text-align: justify;
}
.about__subtitle{
  margin-bottom: var(--mb-2);
}
.about__img{
  justify-self: center;
}
.about__img img{
  width: 200px;
  border-radius: .5rem;
}

/* ==== Hobbies ==== */

.hobbies{
  margin-top: 160px;
  margin-bottom: 20px;
}
.hobbies__container{
  margin-top: 70px;
  row-gap: 2rem;
  text-align: center;
}
.hobbies__text{
  text-align: justify;
  width: 330px;
}
.hobbies__subtitle{
  margin-bottom: var(--mb-2);
}
.hobbies__img{
  margin-top: 10px;
  margin-right: 30px;
  justify-self: right;
}
.hobbies__img img{
  border-radius: 2rem;
}

/* ===== SKILLS =====*/
.skills__container{
  row-gap: 2rem;
  text-align: center;
}
.skills__subtitle{
  margin-bottom: var(--mb-2);
}
.skills__text{
  margin-bottom: var(--mb-4);
}
.skills__data{
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-weight: var(--font-semi);
  padding: .5rem 1rem;
  margin-bottom: var(--mb-4);
  border-radius: .5rem;
  box-shadow: 0 4px 25px rgba(14,36,49,.15);
}
.skills__icon{
  font-size: 2rem;
  margin-right: var(--mb-2);
  color: var(--first-color);
}
.skills__names{
  display: flex;
  align-items: center;
}
.skills__name{
  font-family: "SF UI Display", sans-serif;
}

.skills__text{
  text-align: justify;
}
.skills__bar{
  position: absolute;
  left: 0;
  bottom: 0;
  background-color: var(--first-color);
  height: .25rem;
  border-radius: .5rem;
  z-index: var(--z-back);
}
.skills__python{
  width: 85%;
}
.skills__java{
  width: 75%;
}
.skills__c{
  width: 50%;
}
.skills__django{
  width: 40%;
}
.skills__javascript{
  width: 65%;
}
.skills__img{
  border-radius: .5rem;
}

/* ===== WORK =====*/
.work__container{
  row-gap: 2rem;
  text-align: center;
}

.work__text{
  margin-bottom: var(--mb-4);
  margin-bottom: 30px;
  margin-left: 200px;
  margin-right: 200px;
  text-align: justify;
}


.work__img{
  box-shadow: 0 4px 25px rgba(14,36,49,.15);
  border-radius: .5rem;
  overflow: hidden;
}
.work__img img{
  transition: 1s;
  cursor: pointer;
}
.work__img img:hover{
  transform: scale(1.1);
}

.work__icon{
  font-size: 1rem;
  margin-right: var(--mb-1);
  color: var(--first-color);
  margin-left: 5px;
}

.background__data button{
  width: 90%;
  height: 80%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  font-weight: var(--font-semi);
  padding: .5rem 1rem;
  margin-bottom: var(--mb-2);
  margin-top: var(--mb-2);
  border-radius: .5rem;
  background-color: white;
  border-color: white;
  box-shadow: 0 4px 25px rgba(14,36,49,.15);

}

.background__experience{
  margin-left: 40px;
}

.background__experience ul li{
  list-style: outside;
  text-align: left;
}
/* ===== CONTACT =====*/

.contact__button{
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}
.contact__desc{
  margin-bottom: 50px;

}

.contact__subtitle{
  margin-bottom: 10px;
}
.contact__text{
  text-align: justify;
}

.contact__container{
  text-align: center;
  margin-bottom: 30px;
}
.contact__section{
  margin-top: 50px;
  margin-bottom: 50px;
}


/* ===== FOOTER =====*/
.footer{
  background-color: var(--colorx);
  color: var(--backg);
  text-align: center;
  font-weight: var(--font-semi);
  padding: 2rem 0;
}
.footer p{
  color: var(--backg);
}
.footer__title{
  font-size: 2rem;
  margin-bottom: var(--mb-4);
  color: var(--backg);
}
.footer__social{
  margin-bottom: var(--mb-4);
}
.footer__icon{
  font-size: 1.5rem;
  color: var(--backg);
  margin: 0 var(--mb-2)
}

/* ===== MEDIA QUERIES=====*/

@media screen and (min-width: 768px){


  body{
    margin: 0;
  }

  .section{
    padding-top: 4rem;
    padding-bottom: 3rem;
  }
  .section-title{
    margin-bottom: var(--mb-6);
  }
  .section-title::after{
    width: 80px;
    top: 3rem;
  }

  .nav{
    height: calc(var(--header-height) + 1rem);
  }
  .nav__list{
    display: flex;
    padding-top: 0;
  }
  .nav__item{
    margin-left: var(--mb-6);
    margin-bottom: 0;
  }
  .nav__toggle{
    display: none;
  }
  .nav__link{
    color: var(--colorx);
  }

  .home{
    height: 100vh;
  }
  .home__data{
    align-self: flex-end;
  }
  .home__social{
    padding-top: 0;
    padding-bottom: 2.5rem;
    flex-direction: row;
    align-self: flex-end;
  }
  .home__social-icon{
    margin-bottom: 0;
    margin-right: var(--mb-4);
  }
  .home__img{
    width: 457px;
    bottom: 25%;
  }

  .about__container, .skills__container, .hobbies__container{
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    text-align: initial;
  }
  .about__img img{
    width: 300px;
  }
  .hobbies__img img{
    width: 300px;


  }
  .work__container{
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2,1fr);
    column-gap: 2rem;
  }

  /* ===== CONTACT SECTION ===== */
  .contact__form{
    width: 360px;
  }
  .contact__container{
    row-gap: 2rem;
    text-align: center;
    margin-left: 120px;
  }
  .contact__desc{
    width: 500px;
    text-align: left;
    margin-left: 150px;
    margin-right: 30px;
    margin-bottom: 50px;
  }
  .contact__desc .contact__text{
    margin-top: 10px;
    text-align: justify;
  }

  .contact__social{
    display: flex;
    flex-direction: column;
    position: absolute;
    width: 400px;
    margin-left: 700px;
  }
  .contact__social a i{
    font-size: 17px;
  }
  .contact__social-icon{
    width: max-content;
    margin-bottom: var(--mb-2);
    font-size: 1.5rem;
    color: var(--colorx);
  }
  .contact__social-icon:hover{
    color: var(--first-color);
  }

  /*==== Background data ====*/
  .background__data button{
    width: 90%;
    height: 80%;
  }
}

@media screen and (min-width: 1024px){
  .bd-grid{
    margin-left: auto;
    margin-right: auto;
  }
  .home__img{
    right: 10%;
  }
  
}
